Join 34,000+ subscribers and receive articles from our blog about software quality, testing, QA and security.
 

Field :entries.runs uses an invalid combination of configurations (use one from each group)

Starting 04/22 (after we saw the message that TestRail was updated to 5.7.0) we’ve been getting the error - Field :entries.runs uses an invalid combination of configurations (use one from each group) when doing POST request to index.php?/api/v2/update_plan_entry/:plan_id/:entry_id.
This request successfully worked for us before this update. We didn’t change anything in our code at least one year.

  1. What was changed for this request in this update?
  2. Could you please send me a detailed manual on how to use this request for the TestRail v.5.7.0?

Hi Nikita,

Thanks for the post! There weren’t any changes made to this specific API method with the most recent update, and we’ve not had any other reports of issues.

Looking into it I see you have reached out to support via email and are working with a colleague to determine the possible cause. For the moment, that will be the best support channel to assist in troubleshooting so we can get direct examples of the calls you are using and possible reasons for the issue.

Same issue here, started happening randomly across tests also after upgrade.
For one of the tests it fixed itself, but is now failing for others.

Full error:
Failed to update Test Plan, message: TestRail API returned HTTP 400 (“Field :entries.runs uses an invalid combination of configurations (use one from each group).”).

Hello,

I am also facing same issue after upgrading to 5.7.1. When I call update_plan_entry, I am getting the same error:
: TestRail API returned HTTP 400(“Field :entries.config_ids contains one or more invalid or duplicate configurations.”)

Please let me know how to resolve this issue. We are not able to proceed further and execute our test cases due to this error. Thanks in advance.